package com.sptg.common.core.exception;

import com.sptg.common.core.util.JsonUtils;
import lombok.Getter;

/**
 * @author WFT
 * @date 2020/5/29
 * description:导入表格异常
 */
@Getter
public class ImportExcelException extends Exception {

    /**
     * 错误数据
     */
    private String data;

    public ImportExcelException(String message, Object data) {
        super(message);
        this.data = JsonUtils.objectToJson(data);
    }

    public ImportExcelException(String message) {
        super(message);
    }
}
